Bug 471975 - ldapadd fails on assertion error
ldapadd fails on assertion error
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-17 18:34 EST by Martin Nagy
Modified: 2016-07-26 19:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-19 07:29:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ldapadd backtrace (1.17 KB, text/plain)
2008-11-17 18:34 EST, Martin Nagy
no flags Details

  None (edit)
Description Martin Nagy 2008-11-17 18:34:17 EST
Created attachment 323818 [details]
ldapadd backtrace

Description of problem:
I was using ldapadd and it failes on assertion error if I use '-' in the file, for example:

dn: idnsName=_ntp._udp, idnsName=ipatest.com, cn=dns, dc=notas
objectClass: idnsRecord
objectClass: top
idnsName: _ntp._udp
SRVRecord: 0 100 123 server
-

Version-Release number of selected component (if applicable):
openldap-clients-2.4.12-1.fc11.i686

Additional info:
I was using F9 binary and then rebuilt newest version for myself with -O0. I'm attaching the backtrace.
Comment 1 Jan Safranek 2008-11-18 08:54:06 EST
sent upstream: http://www.openldap.org/its/index.cgi/Incoming?id=5817
Comment 2 Jan Safranek 2008-11-19 07:29:06 EST
fix is now in upstream CVS and should be available in next OpenLDAP release.

Note You need to log in before you can comment on or make changes to this bug.